Index: bin/rmail/Makefile
===================================================================
RCS file: /cvs/src/bin/rmail/Makefile,v
retrieving revision 1.9
diff -u -r1.9 Makefile
--- bin/rmail/Makefile	18 Aug 2006 03:06:59 -0000	1.9
+++ bin/rmail/Makefile	12 Apr 2007 04:07:29 -0000
@@ -2,7 +2,7 @@
 # $FreeBSD: src/bin/rmail/Makefile,v 1.8.2.6 2002/03/25 21:31:30 gshapiro Exp $
 # $DragonFly: src/bin/rmail/Makefile,v 1.9 2006/08/18 03:06:59 gshapiro Exp $
 
-SENDMAIL_DIR=${.CURDIR}/../../contrib/sendmail-8.13.8
+SENDMAIL_DIR=${.CURDIR}/../../contrib/sendmail-8.14
 .PATH:	${SENDMAIL_DIR}/rmail
 
 WARNS?=	0	# XXX Not yet.
Index: etc/sendmail/Makefile
===================================================================
RCS file: /cvs/src/etc/sendmail/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- etc/sendmail/Makefile	18 Aug 2006 03:06:59 -0000	1.8
+++ etc/sendmail/Makefile	12 Apr 2007 04:07:29 -0000
@@ -7,7 +7,7 @@
 ROMODE=		444
 RM=		rm -f
 
-SENDMAIL_DIR=	${.CURDIR}/../../contrib/sendmail-8.13.8
+SENDMAIL_DIR=	${.CURDIR}/../../contrib/sendmail-8.14
 SMDIR=		${SENDMAIL_DIR}/sendmail
 SENDMAIL_CF_DIR?=${SENDMAIL_DIR}/cf
 
Index: lib/libmilter/Makefile
===================================================================
RCS file: /cvs/src/lib/libmilter/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- lib/libmilter/Makefile	18 Aug 2006 03:06:59 -0000	1.8
+++ lib/libmilter/Makefile	12 Apr 2007 04:07:29 -0000
@@ -1,7 +1,7 @@
 # $FreeBSD: src/lib/libmilter/Makefile,v 1.1.2.2 2002/07/22 14:21:49 ru Exp $
 # $DragonFly: src/lib/libmilter/Makefile,v 1.8 2006/08/18 03:06:59 gshapiro Exp $
 
-SENDMAIL_DIR=${.CURDIR}/../../contrib/sendmail-8.13.8
+SENDMAIL_DIR=${.CURDIR}/../../contrib/sendmail-8.14
 .PATH:	${SENDMAIL_DIR}/libmilter ${SENDMAIL_DIR}/libsm
 
 CFLAGS+=-I${SENDMAIL_DIR}/sendmail -I${SENDMAIL_DIR}/include -I.
@@ -17,8 +17,8 @@
 LIB=	milter
 
 SRCS+=	sm_os.h
-SRCS+=	main.c engine.c listener.c handler.c comm.c smfi.c \
-	signal.c sm_gethost.c errstring.c strl.c
+SRCS+=	main.c engine.c listener.c handler.c comm.c monitor.c smfi.c \
+	signal.c sm_gethost.c errstring.c strl.c worker.c
 CLEANFILES+=sm_os.h
 
 sm_os.h:
Index: lib/libsm/Makefile
===================================================================
RCS file: /cvs/src/lib/libsm/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- lib/libsm/Makefile	18 Aug 2006 03:06:59 -0000	1.11
+++ lib/libsm/Makefile	12 Apr 2007 04:07:29 -0000
@@ -1,7 +1,7 @@
 # $FreeBSD: src/lib/libsm/Makefile,v 1.1.2.2 2002/07/19 18:46:26 ru Exp $
 # $DragonFly: src/lib/libsm/Makefile,v 1.11 2006/08/18 03:06:59 gshapiro Exp $
 
-SENDMAIL_DIR=${.CURDIR}/../../contrib/sendmail-8.13.8
+SENDMAIL_DIR=${.CURDIR}/../../contrib/sendmail-8.14
 .PATH:	${SENDMAIL_DIR}/libsm
 
 CFLAGS+= -I${SENDMAIL_DIR}/sendmail -I${SENDMAIL_DIR}/include -I.
@@ -22,8 +22,8 @@
 	vasprintf.c vfprintf.c vfscanf.c vprintf.c vsnprintf.c \
 	wbuf.c wsetup.c string.c stringf.c \
 	xtrap.c strto.c test.c path.c strcasecmp.c strrevcmp.c \
-	signal.c clock.c config.c shm.c mbdb.c strexit.c cf.c ldap.c \
-	niprop.c mpeix.c memstat.c
+	signal.c clock.c config.c sem.c shm.c mbdb.c strexit.c cf.c ldap.c \
+	niprop.c mpeix.c memstat.c util.c
 CLEANFILES+=sm_os.h
 
 INTERNALLIB=		true
Index: lib/libsmdb/Makefile
===================================================================
RCS file: /cvs/src/lib/libsmdb/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- lib/libsmdb/Makefile	18 Aug 2006 03:06:59 -0000	1.8
+++ lib/libsmdb/Makefile	12 Apr 2007 04:07:29 -0000
@@ -1,7 +1,7 @@
 # $FreeBSD: src/lib/libsmdb/Makefile,v 1.1.2.5 2002/07/19 18:46:26 ru Exp $
 # $DragonFly: src/lib/libsmdb/Makefile,v 1.8 2006/08/18 03:06:59 gshapiro Exp $
 
-SENDMAIL_DIR=${.CURDIR}/../../contrib/sendmail-8.13.8
+SENDMAIL_DIR=${.CURDIR}/../../contrib/sendmail-8.14
 .PATH:	${SENDMAIL_DIR}/libsmdb
 
 CFLAGS+=-I${SENDMAIL_DIR}/sendmail -I${SENDMAIL_DIR}/include -I.
Index: lib/libsmutil/Makefile
===================================================================
RCS file: /cvs/src/lib/libsmutil/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- lib/libsmutil/Makefile	18 Aug 2006 03:06:59 -0000	1.8
+++ lib/libsmutil/Makefile	12 Apr 2007 04:07:29 -0000
@@ -1,7 +1,7 @@
 # $FreeBSD: src/lib/libsmutil/Makefile,v 1.1.2.5 2002/07/19 18:46:26 ru Exp $
 # $DragonFly: src/lib/libsmutil/Makefile,v 1.8 2006/08/18 03:06:59 gshapiro Exp $
 
-SENDMAIL_DIR=${.CURDIR}/../../contrib/sendmail-8.13.8
+SENDMAIL_DIR=${.CURDIR}/../../contrib/sendmail-8.14
 .PATH:	${SENDMAIL_DIR}/libsmutil
 
 CFLAGS+=-I${SENDMAIL_DIR}/sendmail -I${SENDMAIL_DIR}/include -I.
Index: libexec/mail.local/Makefile
===================================================================
RCS file: /cvs/src/libexec/mail.local/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- libexec/mail.local/Makefile	18 Aug 2006 03:06:59 -0000	1.8
+++ libexec/mail.local/Makefile	12 Apr 2007 04:07:29 -0000
@@ -2,7 +2,7 @@
 # $FreeBSD: src/libexec/mail.local/Makefile,v 1.10.2.7 2002/03/25 21:31:38 gshapiro Exp $
 # $DragonFly: src/libexec/mail.local/Makefile,v 1.8 2006/08/18 03:06:59 gshapiro Exp $
 
-SENDMAIL_DIR=${.CURDIR}/../../contrib/sendmail-8.13.8
+SENDMAIL_DIR=${.CURDIR}/../../contrib/sendmail-8.14
 .PATH:	${SENDMAIL_DIR}/mail.local
 
 PROG=	mail.local
Index: libexec/smrsh/Makefile
===================================================================
RCS file: /cvs/src/libexec/smrsh/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- libexec/smrsh/Makefile	18 Aug 2006 03:06:59 -0000	1.8
+++ libexec/smrsh/Makefile	12 Apr 2007 04:07:29 -0000
@@ -2,7 +2,7 @@
 # $FreeBSD: src/libexec/smrsh/Makefile,v 1.1.6.6 2002/03/25 21:31:40 gshapiro Exp $
 # $DragonFly: src/libexec/smrsh/Makefile,v 1.8 2006/08/18 03:06:59 gshapiro Exp $
 
-SENDMAIL_DIR=${.CURDIR}/../../contrib/sendmail-8.13.8
+SENDMAIL_DIR=${.CURDIR}/../../contrib/sendmail-8.14
 .PATH:	${SENDMAIL_DIR}/smrsh
 
 PROG=	smrsh
Index: libexec/smrsh/patches/smrsh.8.patch
===================================================================
RCS file: /cvs/src/libexec/smrsh/patches/smrsh.8.patch,v
retrieving revision 1.2
diff -u -r1.2 smrsh.8.patch
--- libexec/smrsh/patches/smrsh.8.patch	22 Mar 2006 18:25:43 -0000	1.2
+++ libexec/smrsh/patches/smrsh.8.patch	12 Apr 2007 04:07:29 -0000
@@ -1,6 +1,6 @@
 $DragonFly: src/libexec/smrsh/patches/smrsh.8.patch,v 1.2 2006/03/22 18:25:43 gshapiro Exp $
 
---- sendmail-8.13.6/smrsh/smrsh.8	2004-08-05 20:55:35.000000000 -0700
+--- sendmail-8.14/smrsh/smrsh.8	2004-08-05 20:55:35.000000000 -0700
 +++ sendmail/smrsh/smrsh.8	2005-02-13 18:39:14.000000000 -0800
 @@ -39,7 +39,7 @@
  .I smrsh
Index: share/doc/smm/08.sendmailop/Makefile
===================================================================
RCS file: /cvs/src/share/doc/smm/08.sendmailop/Makefile,v
retrieving revision 1.7
diff -u -r1.7 Makefile
--- share/doc/smm/08.sendmailop/Makefile	18 Aug 2006 03:06:59 -0000	1.7
+++ share/doc/smm/08.sendmailop/Makefile	12 Apr 2007 04:07:29 -0000
@@ -6,7 +6,7 @@
 SRCS=	op.me
 MACROS=	-me
 
-SRCDIR=	${.CURDIR}/../../../../contrib/sendmail-8.13.8/doc/op
+SRCDIR=	${.CURDIR}/../../../../contrib/sendmail-8.14/doc/op
 
 USE_PIC=	yes
 USE_EQN=	yes
Index: share/sendmail/Makefile
===================================================================
RCS file: /cvs/src/share/sendmail/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- share/sendmail/Makefile	18 Aug 2006 03:06:59 -0000	1.8
+++ share/sendmail/Makefile	12 Apr 2007 04:07:29 -0000
@@ -3,7 +3,7 @@
 #
 # Doing a make install builds /usr/share/sendmail/
 
-SENDMAIL_DIR=${.CURDIR}/../../contrib/sendmail-8.13.8
+SENDMAIL_DIR=${.CURDIR}/../../contrib/sendmail-8.14
 CFDIR=	cf
 CFDIRS!=	(cd ${SENDMAIL_DIR}; find -L ${CFDIR} \( -name CVS -prune \) -o -type d -print)
 CFFILES!=	(cd ${SENDMAIL_DIR}; find -L ${CFDIR} \( -name CVS -prune \) -o -type f -print)
Index: usr.bin/vacation/Makefile
===================================================================
RCS file: /cvs/src/usr.bin/vacation/Makefile,v
retrieving revision 1.9
diff -u -r1.9 Makefile
--- usr.bin/vacation/Makefile	18 Aug 2006 03:06:59 -0000	1.9
+++ usr.bin/vacation/Makefile	12 Apr 2007 04:07:29 -0000
@@ -1,7 +1,7 @@
 # $FreeBSD: src/usr.bin/vacation/Makefile,v 1.6.2.3 2002/03/25 21:31:50 gshapiro Exp $
 # $DragonFly: src/usr.bin/vacation/Makefile,v 1.9 2006/08/18 03:06:59 gshapiro Exp $
 
-SENDMAIL_DIR=${.CURDIR}/../../contrib/sendmail-8.13.8
+SENDMAIL_DIR=${.CURDIR}/../../contrib/sendmail-8.14
 .PATH:	${SENDMAIL_DIR}/vacation
 
 PROG=	vacation
Index: usr.sbin/editmap/Makefile
===================================================================
RCS file: /cvs/src/usr.sbin/editmap/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- usr.sbin/editmap/Makefile	18 Aug 2006 03:06:59 -0000	1.8
+++ usr.sbin/editmap/Makefile	12 Apr 2007 04:07:29 -0000
@@ -1,7 +1,7 @@
 # $FreeBSD: src/usr.sbin/editmap/Makefile,v 1.1.2.1 2002/03/25 21:29:58 gshapiro Exp $
 # $DragonFly: src/usr.sbin/editmap/Makefile,v 1.8 2006/08/18 03:06:59 gshapiro Exp $
 
-SENDMAIL_DIR=${.CURDIR}/../../contrib/sendmail-8.13.8
+SENDMAIL_DIR=${.CURDIR}/../../contrib/sendmail-8.14
 .PATH: ${SENDMAIL_DIR}/editmap
 
 PROG=	editmap
Index: usr.sbin/mailstats/Makefile
===================================================================
RCS file: /cvs/src/usr.sbin/mailstats/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- usr.sbin/mailstats/Makefile	18 Aug 2006 03:06:59 -0000	1.8
+++ usr.sbin/mailstats/Makefile	12 Apr 2007 04:07:29 -0000
@@ -2,7 +2,7 @@
 # $FreeBSD: src/usr.sbin/mailstats/Makefile,v 1.1.6.6 2002/03/25 21:31:43 gshapiro Exp $
 # $DragonFly: src/usr.sbin/mailstats/Makefile,v 1.8 2006/08/18 03:06:59 gshapiro Exp $
 
-SENDMAIL_DIR=${.CURDIR}/../../contrib/sendmail-8.13.8
+SENDMAIL_DIR=${.CURDIR}/../../contrib/sendmail-8.14
 .PATH:	${SENDMAIL_DIR}/mailstats
 
 PROG=	mailstats
Index: usr.sbin/makemap/Makefile
===================================================================
RCS file: /cvs/src/usr.sbin/makemap/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- usr.sbin/makemap/Makefile	18 Aug 2006 03:07:00 -0000	1.8
+++ usr.sbin/makemap/Makefile	12 Apr 2007 04:07:29 -0000
@@ -2,7 +2,7 @@
 # $FreeBSD: src/usr.sbin/makemap/Makefile,v 1.2.6.6 2002/03/25 21:31:48 gshapiro Exp $
 # $DragonFly: src/usr.sbin/makemap/Makefile,v 1.8 2006/08/18 03:07:00 gshapiro Exp $
 
-SENDMAIL_DIR=${.CURDIR}/../../contrib/sendmail-8.13.8
+SENDMAIL_DIR=${.CURDIR}/../../contrib/sendmail-8.14
 .PATH:	${SENDMAIL_DIR}/makemap
 
 PROG=	makemap
Index: usr.sbin/praliases/Makefile
===================================================================
RCS file: /cvs/src/usr.sbin/praliases/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- usr.sbin/praliases/Makefile	18 Aug 2006 03:07:00 -0000	1.8
+++ usr.sbin/praliases/Makefile	12 Apr 2007 04:07:29 -0000
@@ -2,7 +2,7 @@
 # $FreeBSD: src/usr.sbin/praliases/Makefile,v 1.1.6.6 2002/03/25 21:31:46 gshapiro Exp $
 # $DragonFly: src/usr.sbin/praliases/Makefile,v 1.8 2006/08/18 03:07:00 gshapiro Exp $
 
-SENDMAIL_DIR=${.CURDIR}/../../contrib/sendmail-8.13.8
+SENDMAIL_DIR=${.CURDIR}/../../contrib/sendmail-8.14
 .PATH:	${SENDMAIL_DIR}/praliases
 
 PROG=	praliases
Index: usr.sbin/sendmail/Makefile
===================================================================
RCS file: /cvs/src/usr.sbin/sendmail/Makefile,v
retrieving revision 1.16
diff -u -r1.16 Makefile
--- usr.sbin/sendmail/Makefile	18 Aug 2006 03:07:00 -0000	1.16
+++ usr.sbin/sendmail/Makefile	12 Apr 2007 04:07:29 -0000
@@ -2,7 +2,7 @@
 # $FreeBSD: src/usr.sbin/sendmail/Makefile,v 1.15.2.13 2002/03/25 21:32:29 gshapiro Exp $
 # $DragonFly: src/usr.sbin/sendmail/Makefile,v 1.16 2006/08/18 03:07:00 gshapiro Exp $
 
-SENDMAIL_DIR=${.CURDIR}/../../contrib/sendmail-8.13.8
+SENDMAIL_DIR=${.CURDIR}/../../contrib/sendmail-8.14
 SMDIR=	${SENDMAIL_DIR}/sendmail
 .PATH: ${SMDIR}
 
@@ -66,7 +66,7 @@
 	!defined(NO_OPENSSL) && !defined(RELEASE_CRUNCH)
 # STARTTLS support
 DISTRIBUTION=	crypto
-CFLAGS+=	-DSTARTTLS -D_FFR_TLS_1 -D_FFR_DEAL_WITH_ERROR_SSL
+CFLAGS+=	-DSTARTTLS -D_FFR_TLS_1
 LDADD+=		-lssl -lcrypto
 DPADD+=		${LIBSSL} ${LIBCRYPTO}
 .endif
Index: usr.sbin/sendmail/mci.c.patch
===================================================================
RCS file: /cvs/src/usr.sbin/sendmail/mci.c.patch,v
retrieving revision 1.3
diff -u -r1.3 mci.c.patch
--- usr.sbin/sendmail/mci.c.patch	14 Jun 2006 17:56:12 -0000	1.3
+++ usr.sbin/sendmail/mci.c.patch	12 Apr 2007 04:07:29 -0000
@@ -38,7 +38,7 @@
  					continue;
  
 -				(void) sm_strlcpy(newptr, e->d_name,
--					       sizeof newpath -
+-					       sizeof(newpath) -
 -					       (newptr - newpath));
 +				if (sm_strlcpy(newptr, e->d_name, len) >= len)
 +					continue;
